import React from 'react';
import { GenericComponentType } from '../../types';
export type IFormControlComponentType<FormControl, Label, HelperText, ErrorMessage> = GenericComponentType<FormControl> & {
    Label: GenericComponentType<Label>;
    HelperText: GenericComponentType<HelperText>;
    ErrorMessage: GenericComponentType<ErrorMessage, {
        leftIcon?: any;
        startIcon?: any;
        rightIcon?: any;
        endIcon?: any;
    }>;
};
export declare const FormControl: IFormControlComponentType<import("@gluestack-ui/form-control/lib/typescript/types").IFormControlComponentType<import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, {
    size: {
        sm: unknown;
        md: unknown;
        lg: unknown;
    };
}, import("react-native").ViewProps, "FormControl">, import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "FormControlError">, import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlErrorText">, import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, {
    size: {
        '2xs': unknown;
        xs: unknown;
        sm: unknown;
        md: unknown;
        lg: unknown;
        xl: unknown;
        '2xl': unknown;
        '3xl': unknown;
        '4xl': unknown;
        '5xl': unknown;
        '6xl': unknown;
    };
}, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">, "ErrorIcon">, import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "FormControlLabel">, import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlLabelText">, import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlErrorText">, import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "FormControlHelper">, import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlHelperText">>, React.ForwardRefExoticComponent<import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "FormControlLabel">> & {
    Text: React.ForwardRefExoticComponent<import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlLabelText">>;
    Astrick: React.ForwardRefExoticComponent<import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlErrorText">>;
}, React.ForwardRefExoticComponent<import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "FormControlHelper">> & {
    Text: React.ForwardRefExoticComponent<import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlHelperText">>;
}, React.ForwardRefExoticComponent<import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "FormControlError">> & {
    Text: React.ForwardRefExoticComponent<import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlErrorText">>;
    Icon: React.ForwardRefExoticComponent<import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").StyledComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, {
        size: {
            '2xs': unknown;
            xs: unknown;
            sm: unknown;
            md: unknown;
            lg: unknown;
            xl: unknown;
            '2xl': unknown;
            '3xl': unknown;
            '4xl': unknown;
            '5xl': unknown;
            '6xl': unknown;
        };
    }, import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }, "Icon">, "ErrorIcon">>;
}>;
